Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.ml.factory
Class MLTrainFactory

    java.lang.Object
      org.encog.ml.factory.MLTrainFactory

    public class MLTrainFactory

extends Object

This factory is used to create trainers for machine learning methods.

Field Summary
`static String` | `CYCLES` The number of cycles.
`static String` | `PROPERTY_BAYESIAN_REGULARIZATION` Property for bayes reg.
`static String` | `PROPERTY_C` Property for constant.
`static String` | `PROPERTY_DIMENSIONS` Property for dimensions.
`static String` | `PROPERTY_END_LEARNING_RATE` Property for ending learning rate.
`static String` | `PROPERTY_END_RADIUS` Property for ending radius.
`static String` | `PROPERTY_GAMMA` Property for gamma.
`static String` | `PROPERTY_INITIAL_UPDATE` Property for init update.
`static String` | `PROPERTY_ITERATIONS` Property for iterations.
`static String` | `PROPERTY_LEARNING_MOMENTUM` Property for momentum.
`static String` | `PROPERTY_LEARNING_RATE` Property for learning rate.
`static String` | `PROPERTY_MAX_PARENTS`
`static String` | `PROPERTY_MAX_STEP` Property for max step.
`static String` | `PROPERTY_NEIGHBORHOOD` Property for neighborhood.
`static String` | `PROPERTY_PARTICLES`
`static String` | `PROPERTY_POPULATION_SIZE` Population size.
`static String` | `PROPERTY_PROPERTY_NEIGHBORHOOD` Property for neighborhood.
`static String` | `PROPERTY_RBF_TYPE` Property for rbf type.
`static String` | `PROPERTY_START_LEARNING_RATE` Property for starting learning rate.
`static String` | `PROPERTY_START_RADIUS` Property for starting radius.
`static String` | `PROPERTY_TEMPERATURE_START` The starting temperature.
`static String` | `PROPERTY_TEMPERATURE_STOP` The ending temperature.
`static String` | `TYPE_ANNEAL` Use simulated annealing.
`static String` | `TYPE_BACKPROP` String constant for backprop training.
`static String` | `TYPE_BAYESIAN` K2 training for Bayesian.
`static String` | `TYPE_EPL_GA` String constant for LMA training.
`static String` | `TYPE_GENETIC` Genetic training.
`static String` | `TYPE_LMA` String constant for LMA training.
`static String` | `TYPE_MANHATTAN` Manhattan training.
`static String` | `TYPE_NEAT_GA` String constant for LMA training.
`static String` | `TYPE_NELDER_MEAD` K2 training for Bayesian.
`static String` | `TYPE_PNN` PNN training.
`static String` | `TYPE_PSO`
`static String` | `TYPE_QPROP` QPROP training.
`static String` | `TYPE_RPROP` String constant for RPROP training.
`static String` | `TYPE_SCG` String constant for SCG training.
`static String` | `TYPE_SOM_CLUSTER` String constant for SOM-Cluster training.
`static String` | `TYPE_SOM_NEIGHBORHOOD` String constant for SOM-Neighborhood training.
`static String` | `TYPE_SVD` RBF-SVD training.
`static String` | `TYPE_SVM` String constant for SVM training.
`static String` | `TYPE_SVM_SEARCH` String constant for SVM-Search training.

Constructor Summary
`MLTrainFactory()`

Method Summary
`MLTrain` | `create(MLMethod method, MLDataSet training, String type, String args)` Create a trainer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE_NELDER_MEAD

    public static final String TYPE_NELDER_MEAD

  K2 training for Bayesian.

  See Also:
    Constant Field Values

### TYPE_BAYESIAN

    public static final String TYPE_BAYESIAN

  K2 training for Bayesian.

  See Also:
    Constant Field Values

### TYPE_RPROP

    public static final String TYPE_RPROP

  String constant for RPROP training.

  See Also:
    Constant Field Values

### TYPE_BACKPROP

    public static final String TYPE_BACKPROP

  String constant for backprop training.

  See Also:
    Constant Field Values

### TYPE_SCG

    public static final String TYPE_SCG

  String constant for SCG training.

  See Also:
    Constant Field Values

### TYPE_LMA

    public static final String TYPE_LMA

  String constant for LMA training.

  See Also:
    Constant Field Values

### TYPE_NEAT_GA

    public static final String TYPE_NEAT_GA

  String constant for LMA training.

  See Also:
    Constant Field Values

### TYPE_EPL_GA

    public static final String TYPE_EPL_GA

  String constant for LMA training.

  See Also:
    Constant Field Values

### TYPE_SVM

    public static final String TYPE_SVM

  String constant for SVM training.

  See Also:
    Constant Field Values

### TYPE_SVM_SEARCH

    public static final String TYPE_SVM_SEARCH

  String constant for SVM-Search training.

  See Also:
    Constant Field Values

### TYPE_SOM_NEIGHBORHOOD

    public static final String TYPE_SOM_NEIGHBORHOOD

  String constant for SOM-Neighborhood training.

  See Also:
    Constant Field Values

### TYPE_SOM_CLUSTER

    public static final String TYPE_SOM_CLUSTER

  String constant for SOM-Cluster training.

  See Also:
    Constant Field Values

### PROPERTY_LEARNING_RATE

    public static final String PROPERTY_LEARNING_RATE

  Property for learning rate.

  See Also:
    Constant Field Values

### PROPERTY_LEARNING_MOMENTUM

    public static final String PROPERTY_LEARNING_MOMENTUM

  Property for momentum.

  See Also:
    Constant Field Values

### PROPERTY_INITIAL_UPDATE

    public static final String PROPERTY_INITIAL_UPDATE

  Property for init update.

  See Also:
    Constant Field Values

### PROPERTY_MAX_STEP

    public static final String PROPERTY_MAX_STEP

  Property for max step.

  See Also:
    Constant Field Values

### PROPERTY_BAYESIAN_REGULARIZATION

    public static final String PROPERTY_BAYESIAN_REGULARIZATION

  Property for bayes reg.

  See Also:
    Constant Field Values

### PROPERTY_GAMMA

    public static final String PROPERTY_GAMMA

  Property for gamma.

  See Also:
    Constant Field Values

### PROPERTY_C

    public static final String PROPERTY_C

  Property for constant.

  See Also:
    Constant Field Values

### PROPERTY_PROPERTY_NEIGHBORHOOD

    public static final String PROPERTY_PROPERTY_NEIGHBORHOOD

  Property for neighborhood.

  See Also:
    Constant Field Values

### PROPERTY_ITERATIONS

    public static final String PROPERTY_ITERATIONS

  Property for iterations.

  See Also:
    Constant Field Values

### PROPERTY_START_LEARNING_RATE

    public static final String PROPERTY_START_LEARNING_RATE

  Property for starting learning rate.

  See Also:
    Constant Field Values

### PROPERTY_END_LEARNING_RATE

    public static final String PROPERTY_END_LEARNING_RATE

  Property for ending learning rate.

  See Also:
    Constant Field Values

### PROPERTY_START_RADIUS

    public static final String PROPERTY_START_RADIUS

  Property for starting radius.

  See Also:
    Constant Field Values

### PROPERTY_END_RADIUS

    public static final String PROPERTY_END_RADIUS

  Property for ending radius.

  See Also:
    Constant Field Values

### PROPERTY_NEIGHBORHOOD

    public static final String PROPERTY_NEIGHBORHOOD

  Property for neighborhood.

  See Also:
    Constant Field Values

### PROPERTY_RBF_TYPE

    public static final String PROPERTY_RBF_TYPE

  Property for rbf type.

  See Also:
    Constant Field Values

### PROPERTY_DIMENSIONS

    public static final String PROPERTY_DIMENSIONS

  Property for dimensions.

  See Also:
    Constant Field Values

### CYCLES

    public static final String CYCLES

  The number of cycles.

  See Also:
    Constant Field Values

### PROPERTY_TEMPERATURE_START

    public static final String PROPERTY_TEMPERATURE_START

  The starting temperature.

  See Also:
    Constant Field Values

### PROPERTY_TEMPERATURE_STOP

    public static final String PROPERTY_TEMPERATURE_STOP

  The ending temperature.

  See Also:
    Constant Field Values

### TYPE_ANNEAL

    public static final String TYPE_ANNEAL

  Use simulated annealing.

  See Also:
    Constant Field Values

### PROPERTY_POPULATION_SIZE

    public static final String PROPERTY_POPULATION_SIZE

  Population size.

  See Also:
    Constant Field Values

### TYPE_GENETIC

    public static final String TYPE_GENETIC

  Genetic training.

  See Also:
    Constant Field Values

### TYPE_MANHATTAN

    public static final String TYPE_MANHATTAN

  Manhattan training.

  See Also:
    Constant Field Values

### TYPE_SVD

    public static final String TYPE_SVD

  RBF-SVD training.

  See Also:
    Constant Field Values

### TYPE_PNN

    public static final String TYPE_PNN

  PNN training.

  See Also:
    Constant Field Values

### TYPE_QPROP

    public static final String TYPE_QPROP

  QPROP training.

  See Also:
    Constant Field Values

### PROPERTY_MAX_PARENTS

    public static final String PROPERTY_MAX_PARENTS

See Also:
  Constant Field Values

### PROPERTY_PARTICLES

    public static final String PROPERTY_PARTICLES

See Also:
  Constant Field Values

### TYPE_PSO

    public static final String TYPE_PSO

See Also:
  Constant Field Values

Constructor Detail

### MLTrainFactory

    public MLTrainFactory()

Method Detail

### create

    public MLTrain create(MLMethod method,
                          MLDataSet training,
                          String type,
                          String args)

  Create a trainer.

  Parameters:
    `method` - The method to train.
    `training` - The training data.
    `type` - Type type of trainer.
    `args` - The training args.
  Returns:
    The new training method.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.